Skip to main content

Published Dashboard Token Info

View as Markdown

GetPublishedDashboardTokenInfoResponse object

custom_claimstring

Custom claim generated from external_value and external_viewer_id. Format: urn:aibi:external_data:<external_value>:<external_viewer_id>:<dashboard_id>

scopestring

Scope defining access permissions.

authorization_detailsarray of object

Authorization constraints for accessing the published dashboard. Currently includes workspace_rule_set and could be enriched with unity_catalog_privileges before oAuth token generation.

Show child attributesHide child attributes
typestring

The type of authorization downscoping policy. Ex: workspace_rule_set defines access rules for a specific workspace resource

resource_namestring

The resource name to which the authorization rule applies. This field is specific to workspace_rule_set constraint. Format: workspaces/{workspace_id}/dashboards/{dashboard_id}

resource_legacy_acl_pathstring

The acl path of the tree store resource resource.

grant_rulesarray of object

Represents downscoped permission rules with specific access rights. This field is specific to workspace_rule_set constraint.

Show child attributesHide child attributes
permission_setstring

Permission sets for dashboard are defined in iam-common/rbac-common/permission-sets/definitions/TreeStoreBasePermissionSets Ex: permissionSets/dashboard.runner

Get

GET /api/2.0/lakeview/dashboards/{dashboard_id}/published/tokeninfo

Get a required authorization details and scopes of a published dashboard to mint an OAuth token.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the published dashboard.

external_valuestringquery

Provided external value to be included in the custom claim.

external_viewer_idstringquery

Provided external viewer id to be included in the custom claim.

Response

Returns the GetPublishedDashboardTokenInfoResponse object.